Substy Developers
Campaigns

Update creator tracking link

Update the editable fields of an existing creator tracking link.

PATCH/v1/agencies/{agencyId}/creators/{creatorId}/tracking-links/{trackingLinkId}

Update the editable fields of an existing creator tracking link.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string
trackingLinkId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/agencies/string/creators/string/tracking-links/string" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "data": {}  }'
{  "data": {    "creatorId": "string",    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "name": null,    "updatedAt": "2019-08-24T14:15:22Z",    "source": null,    "syncStatus": "PENDING",    "clicks": 0,    "subscribers": 0,    "revenue": 0,    "platformLinkId": null,    "promoCost": 0,    "listId": null,    "url": null,    "profit": 0,    "cpc": 0,    "rpc": 0,    "cps": 0,    "arps": 0,    "roi": 0,    "mr": 0,    "lastSyncAt": null,    "syncError": null,    "isActive": true  },  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}